Get information about the upgrade configuration in use by the Octopus Server
GET /api
Response
200 — The current upgrade configuration
AllowCheckingboolean
Whether to check octopus.com to see if a new version is available.Idstring
Gets or sets a unique identifier for this resource.IncludeStatisticsboolean
Deprecated: please use the [dedicated telemetry page](“ + OctoLink.BaseAddress + “telemetry) to determine whether octopus sends usage statistics. See [our documentation](” + OctoLink.BaseAddress + “WhatIsIncludedInUsageStatistics) for information about what is included.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NotificationModeenum
Controls which notifications are shown in the portal when an upgrade is available.
Allowed values:AlwaysShow,ShowOnlyMajorMinor,NeverShow.
Example Response
JSON
{
"AllowChecking": true,
"Id": "string",
"IncludeStatistics": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NotificationMode": "AlwaysShow"
}Update the upgrade configuration used by the Octopus Server
PUT /api
Request Body
AllowCheckingboolean (required)
Whether to check octopus.com to see if a new version is available.IncludeStatisticsboolean (required)
Deprecated: please use the dedicated telemetry page to determine whether octopus sends usage statistics. See our documentation for information about what is included.NotificationModeenum (required)
Controls which notifications are shown in the portal when an upgrade is available.
Allowed values:AlwaysShow,ShowOnlyMajorMinor,NeverShow.
Response
200 — The updated upgrade configuration
AllowCheckingboolean
Whether to check octopus.com to see if a new version is available.Idstring
Gets or sets a unique identifier for this resource.IncludeStatisticsboolean
Deprecated: please use the [dedicated telemetry page](“ + OctoLink.BaseAddress + “telemetry) to determine whether octopus sends usage statistics. See [our documentation](” + OctoLink.BaseAddress + “WhatIsIncludedInUsageStatistics) for information about what is included.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NotificationModeenum
Controls which notifications are shown in the portal when an upgrade is available.
Allowed values:AlwaysShow,ShowOnlyMajorMinor,NeverShow.
Example Request
JSON
{
"AllowChecking": true,
"IncludeStatistics": true,
"NotificationMode": "AlwaysShow"
}Example Response
JSON
{
"AllowChecking": true,
"Id": "string",
"IncludeStatistics": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NotificationMode": "AlwaysShow"
}